Page MenuHomePhabricator

Differentiate private filters and private details in rights/methods/variables names
Closed, ResolvedPublic

Description

In AbuseFilter, we use the word "private" inside user rights, methods and variables names, comments etc. to indicate two separate things:

  1. Private filters, i.e. filters that you can only see with the abusefilter-view-private right (abusefilter-view is not enough)
  2. Private details, i.e. private user info stored in the AbuseLog (simplyfing, their IP address)

It's pretty obvious that these two things are really different, but several parts of the code are confusing. For instance:

  • The 'abusefilter-private-log' right (which allows people to view the private details access log)
  • The 'abusefilter-private' right (allows people to access private details)

... And other examples can be found looking at the code.
Probably we should change "private" to "privatedetails" for the use case #2.

Event Timeline

Daimona created this task.Dec 3 2018, 11:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 11:32 AM
Daimona moved this task from Backlog to Next on the User-Daimona board.
Huji added a subscriber: Huji.EditedDec 4 2018, 12:57 PM

I like your proposal. However, I think if we are doing this, then we should also rename the pertinent i18n message keys, and that means we should also move them on TranslateWiki using a bot, so people don't re-translate them under the new key. I'm sure there is a process for that, perhaps one of the TranslateWiki staff should be engaged early on?

Huji added a project: I18n.Dec 4 2018, 12:57 PM

@Huji Yes, true, i18n keys should be part of this. In previous occasions @Raymond did this, I don't know whether there's an actuall request process for it. BTW https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/AbuseFilter/+/477501/ changes some methods/globals.

Change 482650 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Use "privatedetails" instead of "private" where needed

https://gerrit.wikimedia.org/r/482650

Daimona claimed this task.Jan 7 2019, 3:29 PM
Daimona moved this task from Next to Under review on the User-Daimona board.

Change 482650 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Use "privatedetails" instead of "private" where needed

https://gerrit.wikimedia.org/r/482650

Change 482650 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Use "privatedetails" instead of "private" where needed

https://gerrit.wikimedia.org/r/482650

Daimona closed this task as Resolved.Aug 10 2019, 2:36 PM
Daimona removed a project: Patch-For-Review.
Daimona moved this task from Under review to Done on the User-Daimona board.